require("dotenv").config();
const { Client, Events, Message } = require("../index");

let connectx = new Client(process.env['TOKEN']);

connectx.on(Events.LOG , (data) => {
    console.log(data);
});

connectx.on(Events.ERROR , (data) => {
    console.log(data);
});

connectx.on(Events.CLIENT_READY , async (data) => {
    console.log(data);
    
    console.log(await connectx.servers());

    let message = new Message();

    message.authorIcon = "https://static.wikia.nocookie.net/digitousailorcure/images/0/09/Anya_forger.png";
    message.authorName = "Anya Forger";
    message.serverIcon = "https://static.wikia.nocookie.net/digitousailorcure/images/0/09/Anya_forger.png";
    message.serverName = "Forger's Basement";
    message.message = "Waku Waku";

    console.log(await connectx.send(
        message.toArray()
    ));
});

connectx.on(Events.MESSAGE , (data) => {
    console.log(data);
});

connectx.login();